Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.resolvers
Class DocumentResolver

    java.lang.Object
      org.apache.xml.security.utils.resolver.ResourceResolverSpi
          be.fgov.ehealth.technicalconnector.signature.resolvers.DocumentResolver

    public class DocumentResolver

extends org.apache.xml.security.utils.resolver.ResourceResolverSpi

Custom resolver used by xmlsec to resolve a nested document.

Constructor Summary
`DocumentResolver(String baseURI, Document doc)`

Method Summary
`void` | `addDocument(String baseURI, Document doc)`
`boolean` | `engineCanResolve(Attr uri, String baseURI)`
`boolean` | `engineIsThreadSafe()`
`org.apache.xml.security.signature.XMLSignatureInput` | `engineResolve(Attr uri, String baseURI)`

Methods inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`engineAddProperies, engineCanResolveURI, engineGetProperty, engineGetPropertyKeys, engineResolveURI, engineSetProperty, fixURI, understandsProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentResolver

    public DocumentResolver(String baseURI,
                            Document doc)

Method Detail

### addDocument

    public void addDocument(String baseURI,
                            Document doc)

### engineCanResolve

    public boolean engineCanResolve(Attr uri,
                                    String baseURI)

  Overrides:
    `engineCanResolve` in class `org.apache.xml.security.utils.resolver.ResourceResolverSpi`

### engineIsThreadSafe

    public boolean engineIsThreadSafe()

  Overrides:
    `engineIsThreadSafe` in class `org.apache.xml.security.utils.resolver.ResourceResolverSpi`

### engineResolve

    public org.apache.xml.security.signature.XMLSignatureInput engineResolve(Attr uri,
                                                                             String baseURI)
                                                                      throws org.apache.xml.security.utils.resolver.ResourceResolverException

  Overrides:
    `engineResolve` in class `org.apache.xml.security.utils.resolver.ResourceResolverSpi`
  Throws:
    `org.apache.xml.security.utils.resolver.ResourceResolverException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.